summaryrefslogtreecommitdiffstats
path: root/install/ui/util
diff options
context:
space:
mode:
Diffstat (limited to 'install/ui/util')
-rwxr-xr-xinstall/ui/util/build.sh5
-rwxr-xr-xinstall/ui/util/uglifyjs/uglify9
2 files changed, 8 insertions, 6 deletions
diff --git a/install/ui/util/build.sh b/install/ui/util/build.sh
index 7cd623485..03776c1fe 100755
--- a/install/ui/util/build.sh
+++ b/install/ui/util/build.sh
@@ -31,5 +31,6 @@ if [[ ! $profile ]] ; then
exit 1
fi
-rhino $DIR/build/build.js baseUrl=$DIR/build load=build profile=$DIR/../src/$profile.profile.js
-exit $? \ No newline at end of file
+RHINO="java -Xss${JAVA_STACK_SIZE:-512k} -classpath /usr/share/java/rhino.jar org.mozilla.javascript.tools.shell.Main"
+$RHINO $DIR/build/build.js baseUrl=$DIR/build load=build profile=$DIR/../src/$profile.profile.js
+exit $?
diff --git a/install/ui/util/uglifyjs/uglify b/install/ui/util/uglifyjs/uglify
index 7d25b38df..1227f589b 100755
--- a/install/ui/util/uglifyjs/uglify
+++ b/install/ui/util/uglifyjs/uglify
@@ -25,8 +25,9 @@ DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
# rhino-1.7R4 doesn't have -main option to enable CommonJS support. It was
# replaced by -require option.
-if [ `rhino --help | grep -e -require | wc -l` -gt 0 ] ; then
- rhino -require $DIR/uglify-js.js $@
+RHINO="java -Xss${JAVA_STACK_SIZE:-512k} -classpath /usr/share/java/rhino.jar org.mozilla.javascript.tools.shell.Main"
+if [ `$RHINO --help | grep -e -require | wc -l` -gt 0 ] ; then
+ $RHINO -require $DIR/uglify-js.js $@
else
- rhino -main $DIR/uglify-js.js $DIR/ug.js $@
-fi \ No newline at end of file
+ $RHINO -main $DIR/uglify-js.js $DIR/ug.js $@
+fi